Index: Testing/Regression/Mars_request/7.1/OD.OPER.4V.operational_mr.csv
===================================================================
--- Testing/Regression/Mars_request/7.1/OD.OPER.4V.operational_mr.csv	(revision be6c0a2a4151437fa6e0d2b1b393ceb038f1386a)
+++ Testing/Regression/Mars_request/7.1/OD.OPER.4V.operational_mr.csv	(revision 39ea86cedaaca563123f5accb0414c0d368be623)
@@ -1,18 +1,18 @@
 request_number, accuracy, area, dataset, date, expver, gaussian, grid, levelist, levtype, marsclass, number, param, repres, resol, step, stream, target, time, type
-1, 24, 60.0/-25.0/10.0/60.0, None, 20190709/to/20190711, 1, , 1.0/1.0, 1, SFC, OD, OFF, 142.128/143.128/146.128/180.128/181.128/176.128, , 255, 1/to/12/by/1, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCOG_acc_SL.20190709.100465.100466.grb, 00/12, FC
-1, 24, , None, 20190710/to/20190710, 1, reduced, 128, 1, ML, OD, OFF, 133.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VGG__SL.20190710.100465.100466.grb, 09/21, 4V
-2, 24, 60.0/-25.0/10.0/60.0, None, 20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 160.128/027.128/028.128/173.128, , 255, 000, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//OG_OROLSM__SL.20190710.100465.100466.grb, 00, AN
-3, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1/to/137, ML, OD, OFF, 130.128/133.128/246.128/247.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VOG__ML.20190710.100465.100466.grb, 09/21, 4V
-4, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 141.128/151.128/164.128/165.128/166.128/167.128/168.128/129.128/172.128/186.128/187.128/188.128/235.128/139.128/039.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VOG__SL.20190710.100465.100466.grb, 09/21, 4V
-5, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1/to/137, ML, OD, OFF, 131.128/132.128/155.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VSH__ML.20190710.100465.100466.grb, 09/21, 4V
-6, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1, ML, OD, OFF, 152.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VSH__SL.20190710.100465.100466.grb, 09/21, 4V
-7, 24, , None, 20190710/to/20190710, 1, reduced, 128, 1, ML, OD, OFF, 133.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANGG__SL.20190710.100465.100466.grb, 00/06/18, AN
-8, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1/to/137, ML, OD, OFF, 130.128/133.128/246.128/247.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANOG__ML.20190710.100465.100466.grb, 00/06/18, AN
-9, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 141.128/151.128/164.128/165.128/166.128/167.128/168.128/129.128/172.128/186.128/187.128/188.128/235.128/139.128/039.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANOG__SL.20190710.100465.100466.grb, 00/06/18, AN
-10, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1/to/137, ML, OD, OFF, 131.128/132.128/155.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANSH__ML.20190710.100465.100466.grb, 00/06/18, AN
-11, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1, ML, OD, OFF, 152.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANSH__SL.20190710.100465.100466.grb, 00/06/18, AN
-12, 24, , None, 20190710/to/20190710, 1, reduced, 128, 1, ML, OD, OFF, 133.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCGG__SL.20190710.100465.100466.grb, 00/12, FC
-13, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1/to/137, ML, OD, OFF, 130.128/133.128/246.128/247.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCOG__ML.20190710.100465.100466.grb, 00/12, FC
-14, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 141.128/151.128/164.128/165.128/166.128/167.128/168.128/129.128/172.128/186.128/187.128/188.128/235.128/139.128/039.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCOG__SL.20190710.100465.100466.grb, 00/12, FC
-15, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1/to/137, ML, OD, OFF, 131.128/132.128/155.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCSH__ML.20190710.100465.100466.grb, 00/12, FC
-16, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1, ML, OD, OFF, 152.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCSH__SL.20190710.100465.100466.grb, 00/12, FC
+1, 24, 60.0/-25.0/10.0/60.0, None, 20190709/to/20190711, 1, , 1.0/1.0, 1, SFC, OD, OFF, 142.128/143.128/146.128/180.128/181.128/176.128, , 255, 1/to/12/by/1, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCOG_acc_SL.20190709.96569.96570.grb, 00/12, FC
+1, 24, , None, 20190710/to/20190710, 1, reduced, 128, 1, ML, OD, OFF, 133.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VGG__SL.20190710.96569.96570.grb, 09/21, 4V
+2, 24, 60.0/-25.0/10.0/60.0, None, 20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 160.128/027.128/028.128/173.128, , 255, 000, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//OG_OROLSM__SL.20190710.96569.96570.grb, 00, AN
+3, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1/to/137, ML, OD, OFF, 130.128/133.128/246.128/247.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VOG__ML.20190710.96569.96570.grb, 09/21, 4V
+4, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 141.128/151.128/164.128/165.128/166.128/167.128/168.128/129.128/172.128/186.128/187.128/188.128/235.128/139.128/039.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VOG__SL.20190710.96569.96570.grb, 09/21, 4V
+5, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1/to/137, ML, OD, OFF, 131.128/132.128/155.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VSH__ML.20190710.96569.96570.grb, 09/21, 4V
+6, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1, ML, OD, OFF, 152.128, , 255, 00/03, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//4VSH__SL.20190710.96569.96570.grb, 09/21, 4V
+7, 24, , None, 20190710/to/20190710, 1, reduced, 128, 1, ML, OD, OFF, 133.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANGG__SL.20190710.96569.96570.grb, 00/06/18, AN
+8, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1/to/137, ML, OD, OFF, 130.128/133.128/246.128/247.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANOG__ML.20190710.96569.96570.grb, 00/06/18, AN
+9, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 141.128/151.128/164.128/165.128/166.128/167.128/168.128/129.128/172.128/186.128/187.128/188.128/235.128/139.128/039.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANOG__SL.20190710.96569.96570.grb, 00/06/18, AN
+10, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1/to/137, ML, OD, OFF, 131.128/132.128/155.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANSH__ML.20190710.96569.96570.grb, 00/06/18, AN
+11, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1, ML, OD, OFF, 152.128, , 255, 00, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//ANSH__SL.20190710.96569.96570.grb, 00/06/18, AN
+12, 24, , None, 20190710/to/20190710, 1, reduced, 128, 1, ML, OD, OFF, 133.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCGG__SL.20190710.96569.96570.grb, 00/12, FC
+13, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1/to/137, ML, OD, OFF, 130.128/133.128/246.128/247.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCOG__ML.20190710.96569.96570.grb, 00/12, FC
+14, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , 1.0/1.0, 1, SFC, OD, OFF, 141.128/151.128/164.128/165.128/166.128/167.128/168.128/129.128/172.128/186.128/187.128/188.128/235.128/139.128/039.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCOG__SL.20190710.96569.96570.grb, 00/12, FC
+15, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1/to/137, ML, OD, OFF, 131.128/132.128/155.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCSH__ML.20190710.96569.96570.grb, 00/12, FC
+16, 24, 60.0/-25.0/10.0/60.0, None, 20190710/to/20190710, 1, , OFF, 1, ML, OD, OFF, 152.128, , 255, 01/02/03/04/05/07/08/10/11, OPER, /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/Testing/Regression/Mars_request/./7.1//FCSH__SL.20190710.96569.96570.grb, 00/12, FC